package com.epson.iprint.storage.gdrivev3;

import android.support.annotation.Nullable;

public class DownloadFile implements OnlineFile {
    private final String mMimeType;
    private final String mName;

    @Nullable
    public String getId() {
        return null;
    }

    public boolean isDisplayFile() {
        return true;
    }

    public boolean isFolder() {
        return false;
    }

    public DownloadFile(String str, String str2) {
        this.mName = str;
        this.mMimeType = str2;
    }

    public String getName() {
        return this.mName;
    }

    @Nullable
    public String getMimeType() {
        return this.mMimeType;
    }
}
